# Ansible AWX Template: openQA Management

Ansible AWX is the method used for the Rocky Linux infrastructure, as a replacement for using the CLI.

## Provides / Information

This repository is for openQA operations and management.

```
.
├── collections
│   └── README.md
├── defaults
│   └── main.yml
├── files
│   └── README.md
├── handlers
│   └── main.yml
├── init-rocky-openqa-developer-host.yml
├── init-rocky-openqa-worker-host.yml
├── README.md
├── roles
│   └── README.md
├── tasks
│   ├── main.yml
│   ├── openqa-worker.yml
│   └── openqa.yml
├── templates
│   └── etc
│       ├── firewalld
│       │   └── services
│       │       ├── openqa-socket.xml.j2
│       │       └── openqa-vnc.xml.j2
│       └── openqa
│           ├── client.conf.j2
│           ├── openqa.ini.j2
│           └── workers.conf.j2
├── tests
│   ├── README.md
│   └── test.yml
└── vars
    ├── main.yml
    ├── openqa-worker.yml
    └── openqa.yml
```

## Guidelines

These guidelines can be found either on the Rocky Linux Wiki or the Infrastructure Wiki.
